Jailbreak Unlock iPhone 3GS OS 4.0 Beta 4 with Pwnage Tool Mac

by admin on May 28, 2010

Last time we talked about Redsn0w 0.9.5 beta 1 to jailbreak iPhone 3G with OS 4 beta, main limitation of Redsn0w is that you have to update your phone first then jailbreak second. This means your BB will be updated to 05.13 and unlock for latest baseband are unavailable at the moment. Thanks to our friend annoymousdev for releasing new PwnageTool bundles to make pwnage tool compatible with OS 4 beta .

Procedure is very easy, you have to add two bundle files to the DevTeam’s pwnage tool for Mac, that will enable support for custom firmware 4 beta Creation.

Note / Warning :

  • The bundles included in this release are not official because they were not issued by the DevTeam.
  • You must be on jailbroken 3.1.3 or lower.
  • iPhone 3GS only.
  • We aren’t responsible for any damage (if any).

Requirements:

Instructions to add custom bundles

1. Download the files mentioned in the requirements and unzip to your Applications folder or where ever you want .

2. Right-click the Mouse on PwnageTool and click on “Show Package Contents”

3. Then enter “Contents” then “Resources” and finally “FirmwareBundles”.

4. Move the iPhone2,1_4.0_8A274b.bundle  to the FirmwareBundles folder  and close the folder.

5. Launch PwnageTool (now supported for OS 4 Beta 4) and proceed normally with the construction of custom firmware. This way, Mac users can jailbreak the latest OS 4 beta 4 while preserving their baseband.

Now you can lock your 5.11 baseband with blacksn0w.

{ 5 comments }

Danny June 1, 2010 at 2:21 pm

Hi

I was just wonmdering if you have an ETA of when the firmware bundle link will be active on here.

Thanks in advance

Kind Regards

ackbarman June 4, 2010 at 3:29 am

Just tried and does not work says wrong firmware every time. I even added the iPhone2,1_4.0_8A274b.bundle and cant get anything to work on. Think this is a fake.

ackbarman June 7, 2010 at 1:48 pm

@Danny This does not work, its a fake so dont worry about it. I added the firware.bundle file to that folder and it will not work. They will be releasing a JB for the 4.0 very soon after they announce the release date today at 10am Pacific time. Wait till then because it is really not worth doing it now unless you are a developer, trust me on it.

samtulp6 June 22, 2010 at 10:35 pm

@ ackbraman
why do you thing thad if you tryed it and it doesent works thad is doenst works for others to ?
thads just selfish
i tryed it and it worked

Ackbarman August 9, 2010 at 12:18 am

@samtulp6 it never did work and I know “thad” you are lying. The firmware bundle here would not recognize the beta and t was not possible too. And your logic about me being selfish makes no sense at all. Learn how to spell.

Comments on this entry are closed.

Previous post:

Next post: